<?php 
add_action( 'add_meta_boxes', 'pm_rvc_add_custom_box' );
function pm_rvc_add_custom_box() {
	// Gets all post types
	$post_types = get_post_types( array('public' => true) );
	//Removes attachments & other types from array to exclude
	unset($post_types['attachment'], $post_types['spp_lch_popups'] );

	// Load metabox for all post types except ones excluded above
	foreach ($post_types as $post_type) {
		add_meta_box( 
			'pm_rvc_url_builder',
			__( 'ReVisitor URL Builder', 'pm-revisitor-content' ),
			'pm_rvc_url_builder_mbox',
			$post_type, 'side' , 'default'
		);
	}
}

function pm_rvc_url_builder_mbox( $post ) {			
	wp_nonce_field( plugin_basename( __FILE__ ), 'pm_rvc_nonce' );
	$pm_rvc_opts = get_option( 'pm_rvc_options' );
	pm_rvc_tracker_selector( $pm_rvc_opts, 'pm_rvc_url_builder', 'pm_rvc_url_builder', '' );
	?>
	<a class="get_url button secondary-button" data-site-url="<?php echo get_the_permalink(); ?>" data-trackrid=""><?php _e( 'Get Tracking URL', 'pm-revisitor-content' ); ?></a>
	<div id="popup_trackr_url" class="white-popup mfp-hide">
		<p><?php _e( 'Copy this URL', 'pm-revisitor-content' ); ?><br>
			<input type="text" id="copy_trackr_url" class="large-text">
		</p>
		<p><label><input type="checkbox" id="trackr_url_override"> <?php _e( 'Override', 'pm-revisitor-content' ); ?></label></p>
	</div>
	<?php
}

//No save_post action needed. We don't want to save any meta data.