<?php
// Enqueue admin scripts
add_action( 'admin_enqueue_scripts', 'pm_rvc_admin_scripts' );
function pm_rvc_admin_scripts( $hook ) {
    global $post;

	if( $hook == 'post-new.php' || $hook == 'post.php' ) {
		wp_enqueue_script( 'pm-rvc-admin', PM_RVC_DIR.'js/admin.js', array('jquery', 'wpdialogs'), PM_RVC_VERSION, false );
		wp_enqueue_script( 'pm-rvc-magnific', PM_RVC_DIR.'libs/magnific/magnific-popup.js', array('jquery', 'pm-rvc-admin'), PM_RVC_VERSION, false );
		wp_enqueue_style( 'pm-rvc-admin', PM_RVC_DIR.'css/admin.css', '', PM_RVC_VERSION, 'all' );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
	}

	//WP Pointer Admin Tooltip Footer scripts for dialog in settings.php
	$dismissed = explode (',', get_user_meta (wp_get_current_user ()->ID, 'dismissed_wp_pointers', true));
    $not_in_array = !in_array ('pm_rvc_settings_dismiss', $dismissed);

    if( $not_in_array ) {
	    wp_enqueue_style('wp-pointer');
	    wp_enqueue_script('wp-pointer');
	    //hook the pointer 
	    add_action('admin_print_footer_scripts', 'pm_rvc_print_footer_scripts' );
	}
}

// Localize script for TinyMCE editor use
add_action( 'before_wp_tiny_mce', 'pm_rvc_localize_for_tinymce' );
function pm_rvc_localize_for_tinymce( $hook ) {
	$current_screen = get_current_screen();
	$current_screen = $current_screen->id;
	if( $current_screen == 'post' || $current_screen == 'page' ) {
		global $post;

		$params = array(
			'nonce' => wp_create_nonce('pm_rvc_options'),
			'is_admin' => is_admin(),
			'pid' => $post->ID,
			'pm_rvc_dir' => PM_RVC_DIR,
			'pm_rvc_plugin_name' => PM_RVC_PLUGIN_NAME,
			'tinymce_select_label' => __( 'Select Tracker', 'pm-revisitor-content' )
		);
		?>
		<script type='text/javascript'>
		/* <![CDATA[ */
		var pm_rvc_object = <?php echo json_encode( $params ); ?>;
		/* ]]> */
		</script>
		<?php
	}
}

/* 
 * Custom CSS styles on WYSIWYG Editor
 */
add_filter( 'mce_css', 'pm_rvc_mce_css' );
function pm_rvc_mce_css( $mce_css ) {
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

	$mce_css .= PM_RVC_DIR.'css/admin.css';

	return $mce_css;
}