<?php
class Pm_Rvc_Widget extends WP_Widget {
	/**
	 * Register widget with WordPress.
	 */
	public function __construct() {
		parent::__construct(
	 		'pm_rvc_widget', // Base ID
			'ReVisitor Content', // Name
			array( 'description' => __( 'Show ReVisitor Content in widget areas', 'pm-revisitor-content' ), ) // Args
		);
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$cookie_values = ( isset( $_COOKIE['pmrvc'] ) ) ? json_decode(stripslashes($_COOKIE['pmrvc'])) : '' ;		
		$title = apply_filters( 'widget_title', $instance['title'] );
		$tracker_id = ( empty( $instance['tracker_id'] ) ) ? '' : stripslashes($instance['tracker_id'] ) ;
		$pm_rvc_opts = get_option( 'pm_rvc_options' );
		if( isset( $_COOKIE['pmrvc'] ) && ( $cookie_values->trackr_id == $tracker_id ) ) {
			echo $before_widget;
			if ( ! empty( $title ) )
				echo $before_title . $title . $after_title;
			echo do_shortcode( '[pm_revisitorc trackr_id="'.$tracker_id.'"]' );
			echo $after_widget;
		}
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['tracker_id'] = esc_attr( $new_instance['tracker_id'] );

		return $instance;
	}

	public function form( $instance ) {
		$pm_rvc_opts = get_option( 'pm_rvc_options' );
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'New heading', 'pm-revisitor-content' );
		}
		$selected = ( empty( $instance['tracker_id'] ) ) ? '': esc_attr( $instance['tracker_id'] );
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Heading:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_name('tracker_id'); ?>">
			<?php _e( 'Visitor ID:', 'pm-revisitor-content' ); ?>
			</label><br>
		<?php
		pm_rvc_tracker_selector( $pm_rvc_opts, $this->get_field_name('tracker_id'), $this->get_field_name('tracker_id'), $selected ); 
		?>
		</p>
		<?php
	}

} // class Pm_Rvc_Widget
// register Pm_Rvc_Widget widget
add_action( 'widgets_init', create_function( '', 'register_widget( "pm_rvc_widget" );' ) );