jQuery(document).ready( function($){
	// Reloads color-picker & tinymce after ajax call
	$(document).ajaxComplete( function(event, jqXhr, settings) {
		if(typeof tinymce != 'undefined'){
			tinymce.init({
				selector:'.trackr_content',
				menubar: false,
				plugins: "wplink, wpfullscreen",
				toolbar1: "bold, italic, underline, blockquote, strikethrough, bullist, numlist, alignleft, aligncenter, alignright, undo, redo, link, unlink, wpfullscreen",
			});
		}
	});

	// http://jsfiddle.net/hUrZB/
	var list = $('.repeatable-fields-list');
	var repeatable = $('.repeat').clone(true);
	repeatable.on('click', '.repeatable-remove', function(e) {
		$(this).parent('.repeat').remove();
	});
	var add = $('#add-custom-tracker');
	add.on('click', function(e) {
		r = $(repeatable.last()).clone(true);
		list.append(r);
		r.find("[name*='pm_rvc_options']").attr('value', '');
		e.preventDefault();
	});
	$('.repeat').remove();
	list.append(repeatable);
	$('input.visitor-name').blur( function() {
		var value = $(this).val().replace( / /g, '_' ).toLowerCase();
		$(this).nextAll('.visitor-id').val( value );
	});

	// Add Tracker Content
	$('#add-tracker-content').on('click', function() {
		var pm_rvc_nonce = pm_rvc_object.nonce;
		var pm_rvc_is_admin = pm_rvc_object.is_admin;
		var count = $('tr.repeat').last().data('count');

		// data object to send to server
		data = {
			action: 'pm_rvc_do_ajax_request',
			nonce: pm_rvc_nonce,
			is_admin: pm_rvc_is_admin,
			count: count
		};		

		$.post(ajaxurl, data, function(response) {
			//alert(response);
			$('#tracker-content-list').append(response);
		})

		return false;
	});
	
	// Remove Tracker Content
	$(document).on('click', '.repeatable-trackr-remove', function() {
		$(this).parent().parent().remove();
	});
	
	// Create URL
	$('.trackr_id').on('change', function() {
		var value = pm_rvc_object.site_url+'/?pmrvc='+$(this).val();
		$(this).nextAll('p').find('.trackr_url').val(value);
	});

	// Send value for checkbox
	$(document).on('click', '.get_url', function() {
		$.magnificPopup.open({
			items: {
				src: '#popup_trackr_url',
				type: 'inline'
			}
		});
		$.magnificPopup.instance.close = function() {
			$('#trackr_url_override').prop("checked", false);
			console.log('popup closed');
			$.magnificPopup.proto.close.call(this);
		}
		var site_url = $(this).data("siteUrl");
		var trackr_id = $(this).data("trackrid");
		//console.log("site_url: "+site_url+" and trackr_id: "+trackr_id);
		$('#copy_trackr_url').val(site_url+"?pmrvc="+trackr_id);
		
		$('#trackr_url_override').on('click', function() {
			var checked = $('#trackr_url_override').prop("checked");
			var input = $('#copy_trackr_url');
			if( checked === true ) {
				input.val( site_url+"?pmrvc="+trackr_id+"&override=1" );
			}
			if( checked === false ) {
				input.val( site_url+"?pmrvc="+trackr_id );
			}
			//console.log(checked);
		});
	});

	$(document).on('change', 'select.trackr_id', function(event) {
		var selected = $(this).val();
		$(this).next().find('a').data('trackrid', selected);
		console.log(selected);
		console.log($(this).next().find('a').data('trackrid'));
	});
	$('#pm_rvc_url_builder').on('change', function() {
		var selected = $('#pm_rvc_url_builder option:selected').val();
		$('.get_url').data('trackrid', selected);
	});
	$('#autoreturn').on('click', function() {
		var autoreturn = $('#autoreturn').prop("checked");
		var return_visitor = $('#returning').prop("checked");
		if( autoreturn === true && return_visitor === false ) {
			$('#autoreturn_message').show();
			$('#autoreturn').prop("checked", false);
		} else {
			$('#autoreturn_message').hide();
		}
	});
	$('#returning').on('click', function() {
		var autoreturn = $('#autoreturn').prop("checked");
		var return_visitor = $('#returning').prop("checked");
		if( return_visitor === false && autoreturn === true ) {
			$('#autoreturn').prop("checked", false);
			$('#autoreturn_message').show();
		} else {
			$('#autoreturn_message').hide();
		}
	})
	
}); // global end